- Update a case with a partial update (PATCH).
Fetch cases by ID, case number, or channel case identifier.
Create a new case.
Delete cases by ID or case number. Supports bulk delete.
Update a case with a full update (not a patch).
Apply macro on a case.
Fetch IDs of messages associated with a case.
Bulk create profile cases (async)
Poll bulk case job status
Merge cases.
Get AI+ case smart summary.
Update a case with a part...
Security
bearerAuth and apiKeyAuth
Users to be updated for notifications on the case. This will replace any existing users already added for notification.
Channel custom properties to be synced on the case
Workflow details of the case. It includes custom properties, queues, assignment details.
- Mock serverhttps://developer.sprinklr.com/_mock/apis/sprinklr-v3/case
- Production Serverhttps://api3.sprinklr.com/prod/api/v3/case
curl -i -X PATCH \
'https://developer.sprinklr.com/_mock/apis/sprinklr-v3/case?id=string&caseNumber=string' \
-H 'Authorization: Bearer <YOUR_Token_HERE>' \
-H 'Content-Type: application/json' \
-H 'Key: YOUR_API_KEY_HERE' \
-d '{
"subject": "string",
"description": "string",
"dueDate": 0,
"addedNotifyUsers": [
0
],
"removedNotifyUsers": [
0
],
"syncedNotifyUsers": [
0
],
"syncedSelectedChannelCustomProperties": [
{
"channelType": "SPRINKLR_LIVE_CHAT",
"browser": "string",
"device": "string",
"pageTitle": "string",
"pageUrl": "string",
"initiator": "string",
"ipAddress": "string",
"screenResolution": "string",
"locale": "string",
"timeZone": "string",
"conversationClosed": "string",
"country": "string",
"language": "string",
"userAgent": "string"
}
],
"workflow": {
"assignment": {
"assigneeId": "string",
"assigneeType": "string",
"assignedById": 0,
"assignmentTime": 0
},
"addedCustomProperties": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"removedCustomProperties": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"syncedCustomProperties": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"syncedSelectedCustomProperties": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"incrementCustomProperties": {
"property1": [
0
],
"property2": [
0
]
},
"addedQueues": [
0
],
"removedQueues": [
0
],
"syncedQueues": [
0
]
},
"disassociateCaseIds": [
"string"
],
"addedExternalCases": [
{
"id": "string",
"caseNumber": "string",
"channelType": "string",
"permalink": "string",
"createdTime": 0,
"modifiedTime": 0,
"clientId": 0,
"subDomain": "string",
"additional": {
"property1": "string",
"property2": "string"
}
}
],
"updateCustomFieldsInCRM": true,
"installedAppId": "string",
"installedAppOrgId": "string",
"installedAppUserId": "string",
"applicationUserId": "string",
"channelOwnerId": "string",
"permalink": "string",
"additionalInformation": {
"property1": {},
"property2": {}
},
"priorityRank": 0,
"priorityIncreasePerMinute": 0,
"summary": "string",
"smartSummary": {
"summary": "string",
"lastEditedByUser": 0,
"modifiedTime": 0
},
"attachment": {
"type": "IMAGE",
"assetId": "string",
"attachmentOptions": [
{
"channelType": "FACEBOOK",
"accountId": 0,
"embeddable": true,
"category": "string",
"noStory": true,
"secret": true,
"blockSocialActions": true,
"expirationEnabled": true,
"expirationDate": 0,
"deletePost": true
}
],
"url": "string",
"urlHash": "string",
"title": "string",
"description": "string",
"previewUrl": "string",
"hashedPreviewUrl": "string",
"mimeType": "string",
"alternateText": "string",
"height": 0.1,
"width": 0.1,
"encryptedUrl": "string",
"sizeInBytes": 0
},
"contact": {
"id": "string",
"name": "string",
"channelType": "string",
"channelId": "string",
"fromSnUserId": "string"
},
"status": "string",
"priority": "string",
"caseType": "string",
"externalCase": {
"id": "string",
"caseNumber": "string",
"channelType": "string",
"permalink": "string",
"createdTime": 0,
"modifiedTime": 0,
"clientId": 0,
"subDomain": "string",
"additional": {
"property1": "string",
"property2": "string"
}
}
}'